public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-session/
Date: Sun, 20 Apr 2014 18:17:35 +0000 (UTC)	[thread overview]
Message-ID: <1398008906.8ede976f85fe25ff16a1465780b5e9f2e65ccdac.eva@gentoo> (raw)

commit:     8ede976f85fe25ff16a1465780b5e9f2e65ccdac
Author:     Mike Auty <ikelos <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 17 00:31:20 2014 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Apr 20 15:48:26 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=8ede976f

gnome-base/gnome-session: 3.10.1 → 3.12.0

Removed a sed that seemed unnecessary and a patch that had already been applied. Otherwise a upower dep change was all that was different.

---
 .../gnome-session/gnome-session-3.12.0.ebuild      | 108 +++++++++++++++++++++
 1 file changed, 108 insertions(+)

diff --git a/gnome-base/gnome-session/gnome-session-3.12.0.ebuild b/gnome-base/gnome-session/gnome-session-3.12.0.ebuild
new file mode 100644
index 0000000..cc3cd8d
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.12.0.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-session/gnome-session-3.10.1.ebuild,v 1.6 2014/03/29 21:00:14 tetromino Exp $
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit eutils gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://git.gnome.org/browse/gnome-session"
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD gconf ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND="
+	>=dev-libs/glib-2.35.0:2
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-2.90.7:3
+	>=dev-libs/json-glib-0.10
+	>=dev-libs/dbus-glib-0.76
+	>=gnome-base/gnome-desktop-3.9.91:3=
+	elibc_FreeBSD? ( dev-libs/libexecinfo )
+
+	virtual/opengl
+	x11-libs/libSM
+	x11-libs/libICE
+	x11-libs/libXau
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXext
+	x11-libs/libXrender
+	x11-libs/libXtst
+	x11-misc/xdg-user-dirs
+	x11-misc/xdg-user-dirs-gtk
+	x11-apps/xdpyinfo
+
+	gconf? ( >=gnome-base/gconf-2:2 )
+	systemd? ( >=sys-apps/systemd-183:0= )
+"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management
+RDEPEND="${COMMON_DEPEND}
+	gnome-base/gnome-settings-daemon
+	>=gnome-base/gsettings-desktop-schemas-0.1.7
+	>=x11-themes/gnome-themes-standard-2.91.92
+	sys-apps/dbus[X]
+	!systemd? ( sys-auth/consolekit )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-lang/perl-5
+	>=sys-devel/gettext-0.10.40
+	>=dev-util/intltool-0.40.6
+	virtual/pkgconfig
+	!<gnome-base/gdm-2.20.4
+	doc? (
+		app-text/xmlto
+		dev-libs/libxslt )
+"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+src_configure() {
+	gnome2_src_configure \
+		--disable-deprecation-flags \
+		--docdir="${EPREFIX}/usr/share/doc/${PF}" \
+		--enable-session-selector \
+		$(use_enable doc docbook-docs) \
+		$(use_enable gconf) \
+		$(use_enable ipv6) \
+		$(use_enable systemd)
+}
+
+src_install() {
+	gnome2_src_install
+
+	dodir /etc/X11/Sessions
+	exeinto /etc/X11/Sessions
+	doexe "${FILESDIR}/Gnome"
+
+	dodir /usr/share/gnome/applications/
+	insinto /usr/share/gnome/applications/
+	newins "${FILESDIR}/defaults.list-r1" defaults.list
+
+	dodir /etc/X11/xinit/xinitrc.d/
+	exeinto /etc/X11/xinit/xinitrc.d/
+	newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+	# This should be done here as discussed in bug #270852
+	newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
+		ewarn "If you use a custom .xinitrc for your X session,"
+		ewarn "make sure that the commands in the xinitrc.d scripts are run."
+	fi
+}


             reply	other threads:[~2014-04-20 18:17 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-04-20 18:17 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-02-14 19:44 [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-session/ Sobhan Mohammadpour
2018-01-12 12:55 Dennis Lamm
2016-03-25  0:56 Ole Reifschneider
2015-10-02 12:50 Ole Reifschneider
2015-05-01 14:31 Ole Reifschneider
2014-12-22 23:11 Gilles Dartiguelongue
2014-04-24 22:35 Gilles Dartiguelongue
2014-02-12 20:58 Gilles Dartiguelongue
2012-12-25 23:23 Gilles Dartiguelongue
2012-11-21 22:27 Gilles Dartiguelongue
2012-10-28 18:10 Gilles Dartiguelongue
2012-09-25 23:21 Alexandre Rostovtsev
2012-09-10  6:22 Nirbheek Chauhan
2012-05-24  7:49 Alexandre Restovtsev
2012-04-03  6:36 Alexandre Restovtsev
2012-03-26  8:20 Nirbheek Chauhan
2011-10-29 19:56 Alexandre Restovtsev
2011-10-18  7:37 Alexandre Restovtsev
2011-07-07  9:22 Alexandre Restovtsev
2011-06-24 17:35 Alexandre Restovtsev
2011-05-30 17:43 Nirbheek Chauhan
2011-04-27 22:22 Gilles Dartiguelongue
2011-04-05  0:57 Nirbheek Chauhan
2011-03-29  8:35 Nirbheek Chauhan
2011-03-23 23:03 Nirbheek Chauhan
2011-03-23  5:20 Nirbheek Chauhan
2011-03-09 17:22 Nirbheek Chauhan
2011-03-09 11:34 Nirbheek Chauhan
2011-03-04 14:57 Nirbheek Chauhan
2011-02-23 14:40 Nirbheek Chauhan
2011-02-22  0:31 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1398008906.8ede976f85fe25ff16a1465780b5e9f2e65ccdac.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox